public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Beierlein" <tomjbe@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-radio/tucnak/
Date: Sun, 27 Oct 2019 17:21:25 +0000 (UTC)	[thread overview]
Message-ID: <1572196866.3af0f77eea2f43c43ca7682e2cdc880a22d432a6.tomjbe@gentoo> (raw)

commit:     3af0f77eea2f43c43ca7682e2cdc880a22d432a6
Author:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 27 17:19:49 2019 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Sun Oct 27 17:21:06 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3af0f77e

media-radio/tucnak: Bugfix release

Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>

 media-radio/tucnak/Manifest           |  1 +
 media-radio/tucnak/tucnak-4.18.ebuild | 68 +++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/media-radio/tucnak/Manifest b/media-radio/tucnak/Manifest
index ac0d6009a88..81ade81d472 100644
--- a/media-radio/tucnak/Manifest
+++ b/media-radio/tucnak/Manifest
@@ -1,2 +1,3 @@
 DIST tucnak-4.16.tar.gz 3526223 BLAKE2B 1e88157a2fc023cc115a9cadfffa7516eac2ff23e4fa5aef7d7f4a959899cf5d7be99a6d934eaee1c32c1b702ca5b5e37a82dd91b7ea03d7ac21815c2e8c0c63 SHA512 65547fd4f83d41bdf312d61c0b6d750c5f949399821c5298731ee6941de0bc95290e90a004c22d731319b0bbd7b55f0d512c2e616ebd43f0c35698cc940594ce
 DIST tucnak-4.17.tar.gz 3520755 BLAKE2B 6628d628cfc7770fdc02611ec7d21410dd910601c8159052f0d2c2d5754de7f3c9360b8f43b60ae3a27eac92808a0a8254efdba5198684b19662b8fdb32a43a8 SHA512 1f59bb47c302df03ac2f6420c71d3708b94efbb74642eb403f0ee6e29bb6826f11cb606d1542d287d776908af8f9c3d9724b20d4678fb8c3ea1cadb22255ec20
+DIST tucnak-4.18.tar.gz 3527134 BLAKE2B 2e059875fb22a9027dde486d82eaa2bfd1d339440b59ffbde3b3923365096e4e7a77edc0690d79d66d1b9b218b2a7698b7783f1f07c0a8f94bc002ee5acc8528 SHA512 9c986bd4e9221a2956722423d8c31e3e420d5f50f2c68577a73d62f5e0913e79526dfbbee29e9f98f25445e35587a95aa709d538e4ba5e17d739a1220e41f0de

diff --git a/media-radio/tucnak/tucnak-4.18.ebuild b/media-radio/tucnak/tucnak-4.18.ebuild
new file mode 100644
index 00000000000..f97b30dca3c
--- /dev/null
+++ b/media-radio/tucnak/tucnak-4.18.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools flag-o-matic multilib
+
+DESCRIPTION="Amateur Radio VHF Contest Logbook"
+HOMEPAGE="http://tucnak.nagano.cz"
+SRC_URI="http://tucnak.nagano.cz/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="alsa fftw gpm hamlib suid"
+
+RDEPEND="dev-libs/glib:2
+	dev-libs/libzia
+	media-libs/libsndfile
+	>=media-libs/libsdl-1.2
+	alsa? ( media-libs/alsa-lib )
+	fftw? ( sci-libs/fftw:3.0 )
+	gpm? ( sys-libs/gpm )
+	hamlib? ( media-libs/hamlib )"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+src_prepare() {
+	eapply_user
+	# fix destop file
+	sed -i -e "s/HamRadio/HamRadio;/" share/applications/tucnak.desktop || die
+	# fix doc install path
+	sed -i -e "s/docsdir/# docsdir/" \
+		-e "s/docs_DATA =/# docs_DATA/" \
+		-e "s/EXTRA_DIST =/# EXTRA_DIST =/" Makefile.am doc/Makefile.am || die
+	eautoreconf
+}
+
+src_configure() {
+	append-ldflags -L/usr/$(get_libdir)/hamlib
+	econf $(use_with alsa) \
+		$(use_with gpm) $(use_with hamlib) \
+		$(use_with fftw fftw3)
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	dodoc AUTHORS ChangeLog doc/NAVOD.pdf
+	if use suid ; then
+		fperms 4711 /usr/bin/soundwrapper
+	fi
+}
+
+pkg_postinst() {
+	elog "In order to use sound with tucnak add yourself to the 'audio' group"
+	elog "and to key your rig via the parport add yourself to the 'lp' group"
+	elog ""
+	elog "tucnak can be used with the following additional packages:"
+	elog "	   media-radio/cwdaemon  : Morse output via code cwdaemon"
+	elog "                             (No need to recompile)"
+	if use suid ; then
+		ewarn "You have choosen to install the little helper program 'soundwrapper'"
+		ewarn "setuid by setting USE=suid. That helper is only needed if you"
+		ewarn "want to use morse sidetone output via the PC speaker."
+		ewarn ""
+		ewarn "While the helper should be safe by design be aware that setting"
+		ewarn "any program setuid is a security risk."
+	fi
+}


             reply	other threads:[~2019-10-27 17:21 UTC|newest]

Thread overview: 107+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-27 17:21 Thomas Beierlein [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-26  9:40 [gentoo-commits] repo/gentoo:master commit in: media-radio/tucnak/ Thomas Beierlein
2024-10-11 15:54 Thomas Beierlein
2024-09-05 12:22 Sam James
2024-09-05 12:22 Sam James
2024-07-29 13:43 Thomas Beierlein
2024-06-22 14:40 Thomas Beierlein
2024-05-30 18:06 Thomas Beierlein
2024-05-29 11:47 Sam James
2024-05-29 11:47 Sam James
2024-05-28 17:16 Thomas Beierlein
2024-04-17  6:54 Sam James
2024-04-13  6:48 Arthur Zamarin
2024-04-12 17:21 Thomas Beierlein
2024-03-12  7:35 Thomas Beierlein
2024-03-12  7:35 Thomas Beierlein
2024-03-10 13:19 Sam James
2024-03-10 12:04 Arthur Zamarin
2024-01-31 14:50 Thomas Beierlein
2024-01-31 14:15 Thomas Beierlein
2024-01-08 13:08 Thomas Beierlein
2024-01-08 13:08 Thomas Beierlein
2024-01-06  9:50 Michał Górny
2024-01-06  9:02 Sam James
2023-11-25 16:37 Thomas Beierlein
2023-11-09 20:09 Thomas Beierlein
2023-11-09 20:09 Thomas Beierlein
2023-11-08 20:23 Arthur Zamarin
2023-11-08 20:23 Arthur Zamarin
2023-10-03 14:57 Thomas Beierlein
2023-07-29  2:24 Sam James
2023-07-28 18:56 Sam James
2023-06-18 11:08 Thomas Beierlein
2023-06-18 11:06 Thomas Beierlein
2023-06-10 13:35 Sam James
2023-06-10 13:35 Sam James
2023-04-30 14:53 Thomas Beierlein
2023-03-27 11:54 Thomas Beierlein
2023-03-07 12:36 Thomas Beierlein
2023-01-29 15:48 Thomas Beierlein
2023-01-28 17:41 Arthur Zamarin
2023-01-28 17:04 Jakov Smolić
2022-12-22  7:53 Thomas Beierlein
2022-12-21 13:39 Thomas Beierlein
2022-10-24 17:00 Thomas Beierlein
2022-07-07 19:44 Sam James
2022-07-07 19:44 Sam James
2022-05-05  6:04 Thomas Beierlein
2022-05-05  5:55 Thomas Beierlein
2022-01-29 21:54 Jakov Smolić
2022-01-29 21:42 Jakov Smolić
2021-12-27 15:59 Thomas Beierlein
2021-12-23 11:47 Thomas Beierlein
2021-11-11 17:57 Jakov Smolić
2021-10-14 16:16 Thomas Beierlein
2021-10-10 17:18 Thomas Beierlein
2021-09-26 14:57 Thomas Beierlein
2021-09-25 23:46 Sam James
2021-09-24 22:47 Sam James
2021-07-15  5:26 Thomas Beierlein
2021-06-29 18:05 Thomas Beierlein
2021-05-30  0:06 Sam James
2021-05-30  0:06 Sam James
2021-05-29 17:51 Thomas Beierlein
2021-04-27 18:07 Thomas Beierlein
2021-04-17 18:10 Thomas Beierlein
2021-04-17 18:10 Thomas Beierlein
2021-03-28 18:18 Sam James
2021-03-28 18:18 Sam James
2021-03-11 15:40 Thomas Beierlein
2021-02-04 18:15 Thomas Beierlein
2020-12-25 14:49 Thomas Beierlein
2020-12-13 18:57 Thomas Beierlein
2020-11-20  1:34 Thomas Deutschmann
2020-11-19 22:58 Sam James
2020-10-07  7:09 Agostino Sarubbo
2020-10-07  6:42 Agostino Sarubbo
2020-09-26 11:44 Thomas Beierlein
2020-08-28 16:27 Thomas Beierlein
2020-07-22 13:23 Thomas Beierlein
2020-07-19 12:18 Agostino Sarubbo
2020-07-17 15:17 Agostino Sarubbo
2020-05-23 14:48 Thomas Beierlein
2020-04-25 16:32 Thomas Beierlein
2020-04-13 10:20 Agostino Sarubbo
2020-04-13  8:58 Agostino Sarubbo
2020-01-31 12:29 Thomas Beierlein
2020-01-21 18:18 Thomas Beierlein
2020-01-21 18:14 Thomas Beierlein
2019-12-30 12:29 Agostino Sarubbo
2019-12-26 18:45 Agostino Sarubbo
2019-09-03  5:32 Thomas Beierlein
2019-09-03  5:32 Thomas Beierlein
2019-08-23 10:37 Agostino Sarubbo
2019-08-23 10:03 Agostino Sarubbo
2019-05-20 11:18 Mikle Kolyada
2019-05-19 15:48 Thomas Deutschmann
2019-04-19 13:13 Thomas Beierlein
2019-04-19 13:13 Thomas Beierlein
2018-12-04 17:36 Thomas Beierlein
2018-12-04 17:06 Mikle Kolyada
2018-11-27 21:55 Thomas Deutschmann
2018-07-14  8:13 Thomas Beierlein
2018-06-16 11:10 Thomas Beierlein
2017-12-19 13:48 Jason Zaman
2017-12-08 19:02 Thomas Beierlein
2017-10-13 13:57 Thomas Beierlein

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1572196866.3af0f77eea2f43c43ca7682e2cdc880a22d432a6.tomjbe@gentoo \
    --to=tomjbe@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox